@echo off
cd\
cls
echo ð Play (c) by Joel Byrnes, Adeptus Software, 1996-1997.
echo jbyrnes@onaustralia.com.au
echo.
if "%1"=="" goto noparm
if "%1"==" " goto noparm
goto %1

:list
c:
echo The games that have been found on this computer that you may type in after
echo "play" are as follows, in order from best to worst (in the author's opinion):
echo. 
echo       GAME               NAME TO TYPE IN
echo ----------------        -----------------
if exist \games\quake\nul echo Quake                   quake 
if exist \games\tomb\nul echo Tomb Raider            tomb 
if exist \games\redalert\nul echo C&C Red Alert           ra
if exist \games\chrono\nul echo Chronomaster            cmaster  
if exist \games\duke3d\nul echo Duke Nukem 3D           duke3d 
if exist \games\theme\nul echo Theme Park              theme 
if exist \games\dark\nul echo Dark Forces             dark
if exist \games\doom2\nul echo Doom 2                  doom2 
if exist \games\doom2\alien.bat echo Doom 2 Aliens TC        alien  
if exist \games\doom\nul echo Doom                    doom 
if exist \games\tv\nul echo Terminal Velocity       tv 
if exist \games\c&c\nul echo Command and Conquer     command  
if exist \games\shellshk\nul echo Shell Shock            shock 
if exist \games\worms\nul echo Worms                   worms 
if exist \games\hioctane\nul echo Hi Octane              hi 
if exist \games\slip5000\nul echo Slipstream 5000        slip 
if exist \games\speed\nul echo The Need For Speed      nfs  
if exist \mw2demo\nul echo Mech Warrior 2           mw2  
if exist \games\derby\nul echo Destruction Derby     derby 
if exist \games\sc2000\nul echo SimCity 2000          sc2000 
if exist \games\simcity\nul echo simcity SimCity
if exist \games\fltsim5\nul echo fs5 Flight Simulator
if exist \games\wacky\nul echo wacky Wacky Wheels
if exist \games\dfdemo\nul echo df Dark Forces
if exist \games\term2\nul echo Terminator 2            term2  
if exist \games\raptor\nul echo raptor Raptor
if exist \games\keen4\nul echo keen4 Commander Keen 4
if exist \games\keen7\nul echo keen7 Commander Keen 7
if exist \games\indy\nul echo indy Indianopolis 500
if exist \games\cannon\nul echo Cannon Fodder           cannon
if exist \games\heretic\nul echo heretic Heretic
if exist \games\rott\nul echo Rise Of The Triads      rott
if exist \games\wolf3d\nul echo wolf3d Wolfenstein 3D
if exist \games\tetris\nul echo tetris Tetris Classic
echo.
goto end

:help
echo Use: play [gamename] [options] [list] [help]
echo Options: [gamename] The shortened name of a game.
echo          [options] Any special command-line options for individual games.
echo          [list] List of all games found on this computer (in the c:\games dir).
echo          [help] This help message.
echo.
echo Note: You may use game command-line parameters as they are usually typed in 
echo after the executable, they will be understood by the game.
echo eg:
echo.
echo PLAY QUAKE -GAME CLOWN 
echo.
echo This would load quake using the "clown" directory for data, the same as if
echo you were in the Quake directory (eg C:\GAMES\QUAKE) and typed:
echo.
echo QUAKE -GAME CLOWN 
echo.
echo So it is just a matter of adding "play" to the start of the command.
echo.
GOTO end

:noparm
echo Try typing more than "play"... How 'bout "play help"?
echo.
goto end

:quake
cd games\quake 
quake %2 %3 %4 %5 %6 %7 %8 %9
cd\
goto endmessage

:tomb
cd games\tomb
tomb
cd\
goto endmessage

:ra
cd games\redalert
ra %2 %3 %4 %5 %6 %7 %8 %9 
cd\
goto endmessage

:doom2
cd games\doom2
doom2 %2 %3 %4 %5 %6 %7 %8 %9
cd\
GOTO endmessage

:alien
cd games\doom2
call alien
cd\
goto endmessage

:duke3d
cd games\duke3d
duke3d %2 %3 %4 %5 %6 %7 %8 %9 
cd\
goto endmessage

:theme
cd games\theme
theme
cd\
goto endmessage

:dark
fakecd c:\darkdata /l:d
cd games\dark
dark
cd\
fakecd /uninstall
goto endmessage

:tv
cd games\tv 
tv %2 %3 %4 %5 %6 %7 %8 %9     
cd\
GOTO endmessage

:derby 
cd games\derby
demo
cd\
goto endmessage

:fs5
cd games\fltsim5
fs5
cd\
goto endmessage

:shock 
cd rom10\shellshk
main
cd\
goto endmessage

:worms
goto %config%
        
:all
cd games\worms
worms hitme
cd\
goto endmessage

:cdrom
cd games\worms
worms hitme
cd\
goto endmessage

:message
:nocdrom
echo You cannot run without CD-ROM drivers loaded. 
pause
goto endmessage

:hi
cd games\hioctane
hioctane
cd\
goto endmessage

:nfs
cd games\speed
nfs
cd\
goto endmessage

:slip
cd games\slip5000
slip
cd\
goto endmessage

:command
cd games\c&c
c&c
cd\
goto endmessage

:mw2
cd games\mw2demo
mw2demo %2 %3 %4 %5 %6 %7 %8 %9
cd\
goto endmessage

:cmaster
cd games\chrono
cmaster
cmaster
cd\
goto endmessage

:sc2000
cd games\sc2000 
sc2000 %2 %3 %4 %5 %6 %7 %8 %9     
cd\
GOTO endmessage

:simcity
cd games\simcity
simcity
cd\
GOTO endmessage

:wacky
cd games\wacky
ww
cd\
goto endmessage

:doom
cd games\doom 
doom %2 %3 %4 %5 %6 %7 %8 %9 
cd\
GOTO endmessage

:raptor
cd games\raptor
raptor
cd\
GOTO endmessage

:keen4
cd games\keen4
keen4
cd\
GOTO endmessage

:keen7
cd games\keen4
keen4
cd\
GOTO endmessage

:indy
cd games\indy
indy
cd\
GOTO endmessage

:cannon
cd games\cannon
cannon
cd\
GOTO endmessage

:heretic
cd games\heretic 
heretic %2 %3 %4 %5 %6 %7 %8 %9 
cd\
GOTO endmessage

:rott
cd games\rott
rott
cd\
GOTO endmessage

:wolf3d
cd games\wolf3d 
wolf3d %2 %3 %4 %5 %6 %7 %8 %9
cd\
GOTO endmessage

:term2
cd games\term2
loadhigh term sbpro a220 i7 d1
cd\
GOTO endmessage

:tetris
cd games\tetris
tetris
cd\
GOTO endmessage

:cd
cdt play %2 %3 %4 %5 %6 %7 %8 %9
goto endmessage

:endmessage
cls
echo Thank you for using play.bat. Type 'play help' for help, and 'play list' for
echo a game list.
goto end

:END

